워드프레스에서 'Warning: count(): Parameter must be an array or an object that implements Countable...' 오류가 발생하는 경우

2018. 3. 13. 17:10 | 댓글 0

워드프레스에서 다음과 같은 오류가 발생하는 경우가 있습니다.

Warning: count(): Parameter must be an array or an object that implements Countable in .../wp-includes/post-template.php on line 284

이 오류는 PHP 버전과 관련이 있습니다. 일부 테마나 플러그인을 사용하는 경우 PHP 7.2에서 위와 같은 오류가 발생할 수 있습니다.

오늘 사이트 속도가 너무 느려서 Siteground에 이전하여 테스트하는 일을 맡았습니다. The7으로 만들어진 사이트인데, Siteground으로 이전하니 조금 빨라진 것 같지만 여전히 속도가 느렸습니다.ㅎㅎ

PHP 7.2를 적용하니 위와 같은 오류가 발생하여 PHP 7.0이나 PHP 7.1로 버전을 변경하니 오류가 사라졌습니다.

현재 워드프레스 권장 PHP 버전이 7.2이지만 일부 테마나 플러그인이 PHP 7.2를 제대로 지원하지 않을 수 있습니다.

사이트그라운드에서는 폴더별로 PHP 버전을 변경할 수 있기 때문에 편리합니다.

  • 네이버 블러그 공유하기
  • 네이버 밴드에 공유하기
  • 페이스북 공유하기
  • 트위터 공유하기
  • 카카오스토리 공유하기

댓글을 달아 주세요

">